<?php

/***************************************************************
 * Copyright notice
 *
 * Based on t3mootools from Peter Klein <peter@umloud.dk>
 * (c) 2007-2010 Juergen Furrer (juergen.furrer@gmail.com)
 * All rights reserved
 *
 * This script is part of the TYPO3 project. The TYPO3 project is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile GPL.txt and important notices to the license
 * from the author is found in LICENSE.txt distributed with these scripts.
 *
 *
 * This script is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * 
 *
 * @author Christopher Seidel (c.seidel@itm-group.com)
 */
class ItmDatatables {
    
    /**
     * 
     * 
     * @param string $jQueryTheme Set which jQuery Theme should be integrated
     * @param boolean $dataTables Set if DatsTables should be integrated or not
     * @param boolean $tableTools Set if TableTools should be integrated or not
     * @return boolean 
     */
    public function addDataTables($jQueryTheme = NULL, $dataTables = NULL, $tableTools = NULL) {
        
        $confArray = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['itm_datatables']);   
        $resourcePath = str_replace('../', '', t3lib_extMgm::extRelPath('itm_datatables')).'Resources/Public/';
        
        /** Check if jQueryTheme is overwritten */
        if($jQueryTheme == NULL) {
            $jQueryTheme = $confArray['jQueryTheme'];
        }
        
        /** Check if datatables is overwritten */
        if($dataTables == NULL) {
            $dataTables = $confArray['dataTables'];
        }
        
        /** Check if tableTools is overwritten */
        if($tableTools == NULL) {
            $tableTools = $confArray['tableTools'];
        }
        
        
        /** Be sure to load the t3jquery */
        if (t3lib_extMgm::isLoaded('t3jquery')) {
            require_once(t3lib_extMgm::extPath('t3jquery').'class.tx_t3jquery.php');
        }

        if (T3JQUERY === true) {
            tx_t3jquery::addJqJS();
        } else {
            return false;
        }
        
        /** Includes */
        
        $includes = '';
        
        if($jQueryTheme) {
            $includes .= '<link rel="stylesheet" type="text/css" href="'.$resourcePath.'jQueryThemes/'.$jQueryTheme.'/jquery.ui.all.css" />';
        }
        
        if($dataTables) {
            $includes .= '<script type="text/javascript" src="'.$resourcePath.'DataTables/jquery.dataTables_'.$confArray['language'].'.min.js"></script>';
            $includes .= '<link rel="stylesheet" type="text/css" href="'.$resourcePath.'DataTables/css/datatables.css" />';
        }
        
        if($tableTools) {
            $includes .= '<script type="text/javascript" src="'.$resourcePath.'TableTools/TableTools.min.js"></script>';
            $includes .= '<script type="text/javascript" src="'.$resourcePath.'TableTools/ZeroClipboard.js"></script>';
            $includes .= '<script type="text/javascript" src="'.$resourcePath.'TableTools/dataTables.dateFormat.js"></script>';
            if($jQueryTheme) {
                $includes .= '<link rel="stylesheet" type="text/css" href="'.$resourcePath.'TableTools/css/TableTools_JUI.css" />';
            } else {
                $includes .= '<link rel="stylesheet" type="text/css" href="'.$resourcePath.'TableTools/css/TableTools.css" />';
            }
        }
        
        if($includes) {
            $GLOBALS['TSFE']->additionalHeaderData['itm_datatables.datatables'] = $includes;
        }
        return true;
    }
    
    
    
}

?>
